GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
iocp_windows.h File Reference
`#include <grpc/support/sync.h>`
`#include "src/core/iomgr/socket_windows.h"`

Go to the source code of this file.

## Functions
void | grpc_iocp_init (void)
void | grpc_iocp_kick (void)
void | grpc_iocp_shutdown (void)
void | grpc_iocp_add_socket (grpc_winsocket *)
void | grpc_iocp_socket_orphan (grpc_winsocket *)
void | grpc_socket_notify_on_write (grpc_winsocket *, void(*cb)(void *, int success), void *opaque)
void | grpc_socket_notify_on_read (grpc_winsocket *, void(*cb)(void *, int success), void *opaque)

## Function Documentation

void grpc_iocp_add_socket | ( | grpc_winsocket * |  | ) |

void grpc_iocp_init | ( | void |  | ) |

void grpc_iocp_kick | ( | void |  | ) |

void grpc_iocp_shutdown | ( | void |  | ) |

void grpc_iocp_socket_orphan | ( | grpc_winsocket * |  | ) |

void grpc_socket_notify_on_read | ( | grpc_winsocket * | ,
|  | void(*)(void *, int success) | cb,
|  | void * | opaque
| ) |  |

void grpc_socket_notify_on_write | ( | grpc_winsocket * | ,
|  | void(*)(void *, int success) | cb,
|  | void * | opaque
| ) |  |